Package org.mariadb.jdbc.client.impl

## Class TransactionSaver

- java.lang.Object
- - org.mariadb.jdbc.client.impl.TransactionSaver

    public class TransactionSaver
    extends Object

### Constructor Summary

Constructors
`TransactionSaver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add​(RedoableClientMessage clientMessage)`
`void` `clear()`
`List<RedoableClientMessage>` `getBuffers()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TransactionSaver

    public TransactionSaver()

### Method Detail

#### add

    public void add​(RedoableClientMessage clientMessage)

#### clear

    public void clear()

#### getBuffers

    public List<RedoableClientMessage> getBuffers()